package com.yihu.hos.resource.dao;

import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;
import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.resource.model.RsDemensionCategory;
import com.yihu.hos.resource.model.RsResourceCategory;

import java.util.List;
import java.util.Map;

/**
 * Created by chenweida on 2015/12/15.
 */
public interface IRsCategoryDao extends XSQLGeneralDAO {
    RsDemensionCategory[] getAllCategory() throws Exception;

    Result getList(Map<String, Object> conditionMap) throws Exception;

    RsResourceCategory getCategoryByNameAndPid(String name, String pid) throws Exception;

    RsResourceCategory getCategoryByNameAndPidWithOutThis(String name, String pid, String id) throws Exception;

    List<RsResourceCategory> getCategoryByPid(String id) throws Exception;

    List<RsResourceCategory> getCategoryWithOutId(String id) throws Exception;

}
